Package writer2latex.latex

# Class IndexConverter

java.lang.Object
writer2latex.latex.IndexConverter

public class IndexConverter extends Object

This class handles indexes (table of contents, list of tables, list of illustrations, object index, user index, alphabetical index) as well as their associated index marks.

## Constructor Summary

Constructors
Constructor
Description
`IndexConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Construct a new `IndexConverter`.

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
Append declarations needed by the `IndexConverter` to the preamble.
`void`
`flushIndexMarks(LaTeXDocumentPortion ldp, Context oc)`
`void`
`handleAlphabeticalIndex(Element node, LaTeXDocumentPortion ldp, Context oc)`
Process Alphabetical Index (text:alphabetical-index tag)
`void`
`handleAlphabeticalIndexMark(Element node, LaTeXDocumentPortion ldp, Context oc)`
Process an Alphabetical Index Mark (text:alphabetical-index-mark{-start} tag)
`void`
`handleLOF(Element node, LaTeXDocumentPortion ldp, Context oc)`
Process List of Illustrations (text:list-of-illustrations tag)
`void`
`handleLOT(Element node, LaTeXDocumentPortion ldp, Context oc)`
Process List of Tables (text:list-of-tables tag)
`void`
`handleObjectIndex(Element node, LaTeXDocumentPortion ldp, Context oc)`
Process Object Index (text:object index tag)
`void`
`handleTOC(Element node, LaTeXDocumentPortion ldp, Context oc)`
Process Table of Contents (text:table-of-content tag)
`void`
`handleUserIndex(Element node, LaTeXDocumentPortion ldp, Context oc)`
Process User Index (text:user-index tag)
`boolean`
`hasPendingIndexMarks(Context oc)`
Do we have any pending index marks, that may be inserted in this context?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IndexConverter

public IndexConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)

Construct a new `IndexConverter`.

Parameters:
  `config` - the configuration to use
  `palette` - the `ConverterPalette` to link to if such a document is created by the `IndexConverter`

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)

Append declarations needed by the `IndexConverter` to the preamble.

Parameters:
  `pack` - the `LaTeXDocumentPortion` to which declarations of packages should be added (`\\usepackage`).
  `decl` - the `LaTeXDocumentPortion` to which other declarations should be added.

### handleTOC

public void handleTOC(Element node, LaTeXDocumentPortion ldp, Context oc)
Process Table of Contents (text:table-of-content tag)

Parameters:
  `node` - The element containing the Table of Contents
  `ldp` - the `LaTeXDocumentPortion` to which LaTeX code should be added
  `oc` - the current context

### handleLOF

public void handleLOF(Element node, LaTeXDocumentPortion ldp, Context oc)
Process List of Illustrations (text:list-of-illustrations tag)

Parameters:
  `node` - The element containing the List of Illustrations
  `ldp` - the `LaTeXDocumentPortion` to which LaTeX code should be added
  `oc` - the current context

### handleLOT

public void handleLOT(Element node, LaTeXDocumentPortion ldp, Context oc)
Process List of Tables (text:list-of-tables tag)

Parameters:
  `node` - The element containing the List of Tables
  `ldp` - the `LaTeXDocumentPortion` to which LaTeX code should be added
  `oc` - the current context

### handleObjectIndex

public void handleObjectIndex(Element node, LaTeXDocumentPortion ldp, Context oc)
Process Object Index (text:object index tag)

Parameters:
  `node` - The element containing the Object Index
  `ldp` - the `LaTeXDocumentPortion` to which LaTeX code should be added
  `oc` - the current context

### handleUserIndex

public void handleUserIndex(Element node, LaTeXDocumentPortion ldp, Context oc)
Process User Index (text:user-index tag)

Parameters:
  `node` - The element containing the User Index
  `ldp` - the `LaTeXDocumentPortion` to which LaTeX code should be added
  `oc` - the current context

### handleAlphabeticalIndex

public void handleAlphabeticalIndex(Element node, LaTeXDocumentPortion ldp, Context oc)
Process Alphabetical Index (text:alphabetical-index tag)

Parameters:
  `node` - The element containing the Alphabetical Index
  `ldp` - the `LaTeXDocumentPortion` to which LaTeX code should be added
  `oc` - the current context

### handleAlphabeticalIndexMark

public void handleAlphabeticalIndexMark(Element node, LaTeXDocumentPortion ldp, Context oc)
Process an Alphabetical Index Mark (text:alphabetical-index-mark{-start} tag)

Parameters:
  `node` - The element containing the Mark
  `ldp` - the `LaTeXDocumentPortion` to which LaTeX code should be added
  `oc` - the current context

### hasPendingIndexMarks

public boolean hasPendingIndexMarks(Context oc)
Do we have any pending index marks, that may be inserted in this context?

Parameters:
  `oc` - the context to verify against
Returns:
  true if there are pending index marks

### flushIndexMarks

public void flushIndexMarks(LaTeXDocumentPortion ldp, Context oc)